Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Functions
ClpPESimplex.hpp File Reference
`#include "ClpSimplex.hpp"`
`#include "CoinIndexedVector.hpp"`
`#include "ClpPackedMatrix.hpp"`
`#include "CoinTime.hpp"`
`#include <iostream>`
`#include <fstream>`
Include dependency graph for ClpPESimplex.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | ClpPESimplex
| BASE CLASS FOR THE IMPROVED SIMPLEX. More...

## Functions
double | PEdot (CoinIndexedVector &v1, const double *v2)
| SHARED METHODS FOR USEFUL ALGEBRAIC OPERATIONS. More...
double | PEdot (CoinIndexedVector &v1, CoinIndexedVector &v2)
| inner product between two coin vectors call the function with the sparser vector first for efficiency More...
void | PEtransposeTimesSubsetAll (ClpSimplex *model, int number, const int *which, const double *COIN_RESTRICT x, double *COIN_RESTRICT y, const double *COIN_RESTRICT rowScale, const double *COIN_RESTRICT columnScale)
| compute the product x^T*[A I] for the indices "which" of [A I] More...

## Function Documentation

double PEdot | ( | CoinIndexedVector & | v1,
|  | const double * | v2
| ) |  |

SHARED METHODS FOR USEFUL ALGEBRAIC OPERATIONS.

inner product between a coin vector and a pointer

double PEdot | ( | CoinIndexedVector & | v1,
|  | CoinIndexedVector & | v2
| ) |  |

inner product between two coin vectors call the function with the sparser vector first for efficiency

void PEtransposeTimesSubsetAll | ( | ClpSimplex * | model,
|  | int | number,
|  | const int * | which,
|  | const double *COIN_RESTRICT | x,
|  | double *COIN_RESTRICT | y,
|  | const double *COIN_RESTRICT | rowScale,
|  | const double *COIN_RESTRICT | columnScale
| ) |  |

compute the product x^T*[A I] for the indices "which" of [A I]